%define upstream_name    MooseX-StrictConstructor
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make your object constructors blow up on unknown attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Using this class to load Moose instead of just loading using Moose itself
makes your constructors "strict". If your constructor is called with an
attribute init argument that your class does not declare, then it calls
"Carp::confess()". This is a great way to catch small typos.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/MooseX

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 370310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.190.0-1.mga2
+ Revision: 200930
- update to 0.19

* Thu Jan 05 2012 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 191216
- update to 0.17

* Wed Jun 15 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 107156
- update to 0.16

* Fri Apr 15 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 85664
- update to 0.15

* Sat Feb 26 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 60248
- update to 0.13

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 28697
- mageia rebuild
- imported package perl-MooseX-StrictConstructor

